---
title: Document.plugins
slug: Web/API/Document/plugins
tags:
  - API
  - Document
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>plugins</code></strong> read-only property of the {{domxref("Document")}} interface returns an {{domxref("HTMLCollection")}} object containing one or more {{domxref("HTMLEmbedElement")}}s representing the {{HTMLElement("embed")}} elements in the current document.</p>

<div class="note">For a list of installed plugins, use <a href="/en-US/docs/Web/API/NavigatorPlugins/plugins">NavigatorPlugins.plugins</a> instead.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>embedArrayObj</var> = <var>document</var>.plugins</pre>

<h3 id="Value">Value</h3>

<p>An {{domxref("HTMLCollection")}}, or <code>null</code> if there are no embeds in the document.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-document-plugins', 'Document.plugins')}}</td>
   <td>{{ Spec2('HTML WHATWG') }}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.plugins")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://docs.microsoft.com/en-us/previous-versions/windows/internet-explorer/ie-developer/platform-apis/ms537477(v=vs.85)">MSDN documentation</a></li>
</ul>
